## Log Templates

### Local test deployment
Please add your node token to the docker-compose.yml file before running.  
You can just run this to spawn 4 nodes:  
```bash
docker-compose up --scale node=4 -d
```

### What is a Log Template?

A Log Template is a predefined format for log messages that uses various variables to produce consistent and informative logs.

### Available Variables

- **`levelnumber`**: Numeric representation of the log level.
- **`level`**: Textual representation of the log level (e.g., "INFO", "WARN").
- **`text`**: The actual log message.
- **`timestamp`**: Timestamp of when the log is created.
- **`application`**: Name of the application generating the log.
- **`logcolor`**: Color code associated with the log level.
- **`colorreset`**: Color reset code.
- **`logcolorshort`**: Short color code for the log level.
- **`hostname`**: Name of the host system.

These variables allow you to customize your log messages and provide more context.

### Example Usage

Here's a simple example template:

```text
{{timestamp}} [{{application}}] [{{hostname}}] [{{level}}] - {{text}}
```