module.exports = {
    "APPLICATION": {
        "type": "string",
        "validation": "min:0||max:24"
    },
    "LOG_LEVEL": {
        "section": "Logging",
        "type": "number",
        "validation": "required||min:0||max:4",
        "default": 3,
        "discription": "0 = error, 1 = warning, 2 = info, 3 = debug, 4 = system"
    },
    "LOG_TYPE": {
        "type": "string",
        "validation": "required||custom_list:console,stdout",
        "default": "console",
        "discription": "console or stdout"
    },
    "LOG_COLOR": {
        "type": "string",
        "validation": "required||custom_list:true,false",
        "default": "true",
        "discription": "true or false"
    },
    "LOG_TEMPLATE": {
        "type": "string",
        "validation": "min:0||max:255",
        "default": "",
        "discription": "leave empty for default or enter a custom template"
    },
    "LOG_STACK": {
        "type": "string",
        "validation": "required||custom_list:true,false",
        "default": "false",
    },
    "WS_PROTOCOL": {
        "section": "Cluster",
        "type": "string",
        "validation": "required||custom_list:ws,wss",
        "default": "ws"
    },
    "BALANCER_IP": {
        "type": "string",
        "validation": "required"
    },
    "BALANCER_PORT": {
        "type": "number",
        "validation": "required||min:0||max:65535",
        "default": 8080
    },
    "BALANCER_TOKEN": {
        "type": "string",
        "validation": "required||min:64||max:64"
    },
    "RECONNECTATTEMPS": {
        "type": "number",
        "validation": "required||min:0||max:100",
        "default": 500
    },
    "CUPCAKE_URL": {
        "section": "CDN",
        "type": "string",
        "validation": "required||min:0"
    },
    "CUPCAKE_YEAR": {
        "type": "number",
        "validation": "required||min:0"
    },
    "CACHE_DRIVER": {
        "type": "string",
        "validation": "required||custom_list:FS,MEM",
    },
    "COMPRESSION_METHOD": {
        "type": "string",
        "validation": "required||custom_list:GZIP,BROTLI,NONE",
    },
    "GQL_URL": {
        "section": "GraphQL",
        "type": "string",
        "validation": "required||min:0"
    },
    "DISABLE_GCPROFILER": {
        "section": "Compatibility",
        "type": "string",
        "validation": "required||custom_list:true,false",
    }
}